Apache2-mpm-worker and CGI

2009-07-21 11:11 - Philippe De Ryck

Status: Closed Start date: 2009-07-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

CGI in apache2 MPM worker is provided by the cgid module, which is not mentioned in the public/.htaccess file. The same

configuration for the cgi module applies, just the module name differs (<IfModule mod_cgid.c>)

History

#1 - 2009-11-11 23:16 - Jean-Philippe Lang

Please submit a patch.

#2 - 2013-02-05 10:42 - Daniel Felix

- File htaccess.diff added

Any news on this?

I think the attached patch could solve this.

#3 - 2013-05-11 04:21 - Jean-Baptiste Barth

- Affected version (unused) changed from 0.8.4 to devel

- Affected version deleted (0.8.4)

There may also be some lines at the top to add the correct handler. I think it should be tested before commit.

#4 - 2020-12-06 05:46 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

CGI support has been removed in Rails 3.0. This means that Redmine 2.0 or later does not support CGI.

https://weblog.rubyonrails.org/2009/4/17/this-week-in-edge-rails/

Files

htaccess.diff 601 Bytes 2013-02-05 Daniel Felix
